uri-bytestring-0.2.3.3: Haskell URI parsing as ByteStrings

Safe Haskell | None
Language | Haskell2010

URI.ByteString.QQ

Synopsis

- uri :: QuasiQuoter
- relativeRef :: QuasiQuoter

# Documentation

uri :: QuasiQuoter #

Allows uri literals via QuasiQuotes language extension.

    >>> {-# LANGUAGE QuasiQuotes #-}
    >>> stackage :: URI
    >>> stackage = [uri|http://stackage.org|]

relativeRef :: QuasiQuoter #

Allows relative ref literals via QuasiQuotes language extension.

    >>> {-# LANGUAGE QuasiQuotes #-}
    >>> ref :: RelativeRef
    >>> ref = [relativeRef|/foo?bar=baz#quux|]